# module Tk::BLT::Busy

### Constants

TkCommandNames

### Public Class Methods

check(win) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 77
    def check(win)
      bool(tk_call('::blt::busy', 'check', win))
    end

forget(*wins) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 64
    def forget(*wins)
      tk_call('::blt::busy', 'forget', *wins)
    end

hold(win, keys={}) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 56
    def hold(win, keys={})
      tk_call('::blt::busy', 'hold', win, *hash_kv(keys))
    end

is_busy(pat=None) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 68
    def is_busy(pat=None)
      tk_split_list(tk_call('::blt::busy', 'isbusy', pat))
    end

names(pat=None) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 72
    def names(pat=None)
      tk_split_list(tk_call('::blt::busy', 'names', pat))
    end

Also aliased as: windows
release(*wins) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 60
    def release(*wins)
      tk_call('::blt::busy', 'release', *wins)
    end

shield_path(win) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 35
    def self.shield_path(win)
      Tk::BLT::Busy::Shield.shield_path(win)
    end

status(win) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 81
    def status(win)
      bool(tk_call('::blt::busy', 'status', win))
    end

windows(pat=None)
Alias for: names

### Private Class Methods

__item_config_cmd(win) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 42
    def __item_config_cmd(win)
      ['::blt::busy', 'configure', win]
    end